View Issue Details

IDProjectCategoryView StatusLast Update
0002349SymmetricDS ProImprovementpublic2020-07-08 08:25
Reportergwilmer Assigned Tojvanmeter  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.0Fixed in Version3.12.0 
Summary0002349: Provide more granular level of permissions
DescriptionProvide a more granular level of permissions. I.E. Group 1 can do initial loads, but not change configuration, etc.
Tagssecurity

Relationships

related to 0001432 closedjvanmeter When a user cannot edit a panel, instead of hiding edit buttons, disable the buttons. 
related to 0001692 closedjvanmeter If you can't edit configuration, at least let you view it read-only 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 0abf3a6b

2020-03-06 14:20:01

vanmetjk

Details Diff
0002349: Provide more granular level of permissions Affected Issues
0002349
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/SnapshotUtil.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/DatabaseUpgradeListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/alter/ModelComparator.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlBuilder.java Diff File
mod - symmetric-sqlexplorer/build.gradle Diff File

Issue History

Date Modified Username Field Change
2015-07-28 10:12 gwilmer New Issue
2020-01-08 09:13 elong Assigned To => jvanmeter
2020-01-08 09:13 elong Status new => assigned
2020-01-08 09:13 elong Product Version => 3.11.0
2020-01-08 09:13 elong Target Version => 3.11.4
2020-01-22 14:08 elong Target Version 3.11.4 => 3.11.5
2020-02-10 12:13 elong Product Version 3.11.0 => 3.12.0
2020-02-10 12:13 elong Target Version 3.11.5 => 3.12.0
2020-03-04 11:11 jvanmeter Relationship added related to 0001432
2020-03-04 11:12 jvanmeter Relationship added related to 0001692
2020-03-06 08:59 elong Status assigned => resolved
2020-03-06 08:59 elong Resolution open => fixed
2020-03-06 08:59 elong Fixed in Version => 3.12.0
2020-03-06 15:00 Changeset attached => SymmetricDS 3.12 0abf3a6b
2020-05-26 14:49 elong Status resolved => closed
2020-07-08 08:25 elong Tag Attached: security